import 'package:http/http.dart' as http;
import 'dart:convert';

class ApiClient {
  final String baseUrl = "https://web.mentor.iblai.tech/wp-json";

  Future<dynamic> login(String username, String password) async {
    final response = await http.post(
      Uri.parse('$baseUrl/api/ibl/v1/authentication/login'),
      body: {'username': username, 'password': password},
    );
    return json.decode(response.body);
  }

  Future<dynamic> register(String username, String email, String name, String password) async {
    final response = await http.post(
      Uri.parse('$baseUrl/api/ibl/v1/authentication/register-user'),
      body: {
        'username': username,
        'email': email,
        'name': name,
        'password': password
      },
    );
    return json.decode(response.body);
  }
}
